initPassword:
  enabled: true
  password: ""
  passwordSecret: "$INFISICAL_SECRET"

timeZone: Asia/Seoul

starrocksCluster:
  enabledBe: false
  enabledCn: true

starrocksFESpec:
  replicas: 3
  runAsNonRoot: "false"
  service:
    type: ClusterIP
  resources:
    requests:
      cpu: 300m
      memory: 1Gi
    limits:
      cpu: 2
      memory: 4Gi  
  storageSpec:
    name: fe
    storageClassName: "standard-rwo"
    storageSize: 10Gi
    logStorageSize: 5Gi
  
  nodeSelector: {}
  affinity: {}
  tolerations: []
  
  config: |
    run_mode = shared_data
    cloud_native_storage_type = S3
    aws_s3_endpoint = $starrocksFESpec.config.endpoint

    aws_s3_path = $starrocksFESpec.config.path

    aws_s3_access_key = $starrocksFESpec.config.accesskey
    aws_s3_secret_key = $starrocksFESpec.config.secretkey
    aws_s3_use_instance_profile = false
    aws_s3_use_aws_sdk_default_behavior = false

    enable_load_volume_from_conf = true


starrocksCnSpec:
  replicas: 3
  runAsNonRoot: "false"
  resources:
    requests:
      cpu: 300m
      memory: 2Gi
    limits:
      cpu: 2
      memory: 4Gi  
  storageSpec:
    name: be 
    storageClassName: "standard-rwo"
    storageSize: 15Gi
    logStorageSize: 10Gi
  nodeSelector: {}
  affinity: {}
  tolerations: []
  autoScalingPolicy: {}


starrocksFeProxySpec:
  enabled: true
  resolver: "kube-dns.kube-system.svc.cluster.local"
  service:
    type: ClusterIP